Package org.drinkless.tdlib

# Class TdApi.PassportSuitableElement

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PassportSuitableElement

Enclosing class:
  `TdApi`

public static class TdApi.PassportSuitableElement extends TdApi.Object
Contains information about a Telegram Passport element that was requested by a service.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isNativeNameRequired`
  True, if personal details must include the user's name in the language of their country of residence.
  `boolean`
  `isSelfieRequired`
  True, if a selfie is required with the identity document.
  `boolean`
  `isTranslationRequired`
  True, if a certified English translation is required with the document.
  `TdApi.PassportElementType`
  `type`
  Type of the element.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PassportSuitableElement()`
  Contains information about a Telegram Passport element that was requested by a service.
  `PassportSuitableElement(TdApi.PassportElementType type, boolean isSelfieRequired, boolean isTranslationRequired, boolean isNativeNameRequired)`
  Contains information about a Telegram Passport element that was requested by a service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public TdApi.PassportElementType type
    Type of the element.

  - ### isSelfieRequired

    public boolean isSelfieRequired
    True, if a selfie is required with the identity document.

  - ### isTranslationRequired

    public boolean isTranslationRequired
    True, if a certified English translation is required with the document.

  - ### isNativeNameRequired

    public boolean isNativeNameRequired
    True, if personal details must include the user's name in the language of their country of residence.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PassportSuitableElement

    public PassportSuitableElement()
    Contains information about a Telegram Passport element that was requested by a service.

  - ### PassportSuitableElement

    public PassportSuitableElement(TdApi.PassportElementType type, boolean isSelfieRequired, boolean isTranslationRequired, boolean isNativeNameRequired)
    Contains information about a Telegram Passport element that was requested by a service.
    Parameters:
      `type` - Type of the element.
      `isSelfieRequired` - True, if a selfie is required with the identity document.
      `isTranslationRequired` - True, if a certified English translation is required with the document.
      `isNativeNameRequired` - True, if personal details must include the user's name in the language of their country of residence.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR